
import 'jquery';
import 'jquery-simple-websocket';
import 'bootstrap';
import '@fortawesome/fontawesome-free/js/fontawesome';
import '@fortawesome/fontawesome-free/js/solid';
import '@fortawesome/fontawesome-free/js/regular';
import '@fortawesome/fontawesome-free/js/brands';

import 'bootstrap/dist/css/bootstrap.min.css';

import { createApp } from 'vue/dist/vue.esm-bundler';

import Download from './Download.vue';
import DocumentEdit from './DocumentEdit.vue';
import ProductSelector from './ProductSelector.vue';
import ProductControls from './ProductControls.vue';
import InlineEdit from './InlineEdit.vue';
import InlineEditText from './InlineEditText.vue';
import Search from './Search.vue';
import PDFList from './PDFList.vue';
import SpiderPages from './SpiderPages.vue';
import DownloadManager from './DownloadManager.vue';
import Imports from './Imports.vue';
import IDMatch from './IDMatch.vue';
import DDDiv from './DDDiv.vue';
import PDF from './PDF.vue';
import ItemAdder from './ItemAdder.vue';
import KeyboardInteraction from './KeyboardInteraction.vue';
import JobDisplay from './JobDisplay.vue';

const app = createApp({ });

app.component("download", Download);
app.component("documentedit", DocumentEdit);
app.component("productselector", ProductSelector);
app.component("productcontrols", ProductControls);
app.component("inlineedit", InlineEdit);
app.component("inlineedittext", InlineEditText);
app.component("search", Search);
app.component("pdflist", PDFList);
app.component("spiderpages", SpiderPages);
app.component("downloadmanager", DownloadManager);
app.component("imports", Imports);
app.component("idmatch", IDMatch);
app.component("dddiv", DDDiv);
app.component("pdf", PDF);
app.component("itemadder", ItemAdder);
app.component("keyboardinteraction", KeyboardInteraction);
app.component("jobdisplay", JobDisplay);

$(window).on("load", function() { app.mount('#app') });
